path: /build/build/redis-dev-db-7.0.10.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    USE="-systemd -tcmalloc -test ssl" emerge dev-db/redis -pv -t
  - |
    USE="-systemd -tcmalloc -test ssl" emerge -j ${JOBS} --nodeps dev-db/redis
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/redis && luet-portage --dir
    /pkgdir/redis dev-db/redis
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-systemd-dev-tree:35166ec15c2241b5388d5e89bff9c2a3b61ae206feda8d5e070f7c5799c5b9ba
  package:
    id: 0
    name: redis
    version: 7.0.10
    category: dev-db
    useflags:
    - -systemd
    - -tcmalloc
    - -test
    - ssl
    state: ""
    packagerequires:
    - id: 0
      name: jemalloc
      version: '>=0'
      category: dev-libs
      useflags: []
      state: ""
      packagerequires: []
      packageconflicts: []
      provides: []
      hidden: false
      annotations: {}
      path: ""
      description: ""
      uri: []
      license: ""
      buildtimestamp: ""
      labels: {}
      treedir: ""
      repository: ""
    packageconflicts: []
    provides: []
    hidden: false
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    path: ""
    description: A persistent caching system, key-value and data structures database
    uri:
    - https://redis.io
    license: BSD
    buildtimestamp: 2023-04-09 08:02:52.708294662 +0000 UTC m=+284.283556200
    labels:
      BDEPEND: ssl? ( dev-libs/openssl:0= ) systemd? ( sys-apps/systemd:= ) tcmalloc?
        ( dev-util/google-perftools ) virtual/pkgconfig >=app-portage/elt-patches-20170815
        !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
        ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4 virtual/pkgconfig
      DEPEND: ssl? ( dev-libs/openssl:0= ) systemd? ( sys-apps/systemd:= ) tcmalloc?
        ( dev-util/google-perftools ) test? ( dev-lang/tcl:0= ssl? ( dev-tcltk/tls
        ) ) sys-apps/shadow
      IUSE: +jemalloc ssl split-conf systemd tcmalloc test
      RDEPEND: ssl? ( dev-libs/openssl:0= ) systemd? ( sys-apps/systemd:= ) tcmalloc?
        ( dev-util/google-perftools ) virtual/tmpfiles
      emerge.packages: dev-db/redis
      kit: core-server-kit
      original.package.name: dev-db/redis
      original.package.slot: "0"
      original.package.version: 7.0.10
    treedir: /build/packages
    repository: ""
  package_dir: /pkgdir/redis
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-systemd-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 93ae3736e83d5dbc34b50af473aef8e8198038accb6c38a57418d4a27883a7a3
compressiontype: zstd
files:
- etc/conf.d/redis
- etc/conf.d/redis-sentinel
- etc/init.d/redis
- etc/init.d/redis-sentinel
- etc/logrotate.d/redis
- etc/redis/redis.conf
- etc/redis/sentinel.conf
- lib/systemd/system/redis.service
- usr/bin/redis-cli
- usr/lib/tmpfiles.d/redis.conf
- usr/sbin/redis-benchmark
- usr/sbin/redis-check-aof
- usr/sbin/redis-check-rdb
- usr/sbin/redis-sentinel
- usr/sbin/redis-server
- usr/share/doc/redis-7.0.10/00-RELEASENOTES.bz2
- usr/share/doc/redis-7.0.10/BUGS
- usr/share/doc/redis-7.0.10/CONTRIBUTING.md.bz2
- usr/share/doc/redis-7.0.10/MANIFESTO.bz2
- usr/share/doc/redis-7.0.10/README.md.bz2
- var/db/pkg/dev-db/redis-7.0.10/BDEPEND
- var/db/pkg/dev-db/redis-7.0.10/BUILD_TIME
- var/db/pkg/dev-db/redis-7.0.10/CATEGORY
- var/db/pkg/dev-db/redis-7.0.10/CBUILD
- var/db/pkg/dev-db/redis-7.0.10/CFLAGS
- var/db/pkg/dev-db/redis-7.0.10/CHOST
- var/db/pkg/dev-db/redis-7.0.10/CONTENTS
- var/db/pkg/dev-db/redis-7.0.10/COUNTER
- var/db/pkg/dev-db/redis-7.0.10/CXXFLAGS
- var/db/pkg/dev-db/redis-7.0.10/DEFINED_PHASES
- var/db/pkg/dev-db/redis-7.0.10/DEPEND
- var/db/pkg/dev-db/redis-7.0.10/DESCRIPTION
- var/db/pkg/dev-db/redis-7.0.10/EAPI
- var/db/pkg/dev-db/redis-7.0.10/FEATURES
- var/db/pkg/dev-db/redis-7.0.10/HOMEPAGE
- var/db/pkg/dev-db/redis-7.0.10/INHERITED
- var/db/pkg/dev-db/redis-7.0.10/IUSE
- var/db/pkg/dev-db/redis-7.0.10/IUSE_EFFECTIVE
- var/db/pkg/dev-db/redis-7.0.10/KEYWORDS
- var/db/pkg/dev-db/redis-7.0.10/LDFLAGS
- var/db/pkg/dev-db/redis-7.0.10/LICENSE
- var/db/pkg/dev-db/redis-7.0.10/NEEDED
- var/db/pkg/dev-db/redis-7.0.10/PF
- var/db/pkg/dev-db/redis-7.0.10/RDEPEND
- var/db/pkg/dev-db/redis-7.0.10/REQUIRES
- var/db/pkg/dev-db/redis-7.0.10/RESTRICT
- var/db/pkg/dev-db/redis-7.0.10/SIZE
- var/db/pkg/dev-db/redis-7.0.10/SLOT
- var/db/pkg/dev-db/redis-7.0.10/USE
- var/db/pkg/dev-db/redis-7.0.10/environment.bz2
- var/db/pkg/dev-db/redis-7.0.10/redis-7.0.10.ebuild
- var/db/pkg/dev-db/redis-7.0.10/repository
- var/lib/redis/.keep_dev-db_redis-0
- var/log/redis/.keep_dev-db_redis-0
package_cacheimage: ""
runtime:
  id: 0
  name: redis
  version: 7.0.10
  category: dev-db
  useflags:
  - -systemd
  - -tcmalloc
  - -test
  - ssl
  state: ""
  packagerequires:
  - id: 0
    name: openssl
    version: '>=0'
    category: dev-libs
    useflags: []
    state: ""
    packagerequires: []
    packageconflicts: []
    provides: []
    hidden: false
    annotations: {}
    path: ""
    description: ""
    uri: []
    license: ""
    buildtimestamp: ""
    labels: {}
    treedir: ""
    repository: ""
  - id: 0
    name: tmpfiles
    version: '>=0'
    category: virtual
    useflags: []
    state: ""
    packagerequires: []
    packageconflicts: []
    provides: []
    hidden: false
    annotations: {}
    path: ""
    description: ""
    uri: []
    license: ""
    buildtimestamp: ""
    labels: {}
    treedir: ""
    repository: ""
  packageconflicts: []
  provides: []
  hidden: false
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  path: ""
  description: A persistent caching system, key-value and data structures database
  uri:
  - https://redis.io
  license: BSD
  buildtimestamp: ""
  labels:
    BDEPEND: ssl? ( dev-libs/openssl:0= ) systemd? ( sys-apps/systemd:= ) tcmalloc?
      ( dev-util/google-perftools ) virtual/pkgconfig >=app-portage/elt-patches-20170815
      !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
      ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4 virtual/pkgconfig
    DEPEND: ssl? ( dev-libs/openssl:0= ) systemd? ( sys-apps/systemd:= ) tcmalloc?
      ( dev-util/google-perftools ) test? ( dev-lang/tcl:0= ssl? ( dev-tcltk/tls )
      ) sys-apps/shadow
    IUSE: +jemalloc ssl split-conf systemd tcmalloc test
    RDEPEND: ssl? ( dev-libs/openssl:0= ) systemd? ( sys-apps/systemd:= ) tcmalloc?
      ( dev-util/google-perftools ) virtual/tmpfiles
    emerge.packages: dev-db/redis
    kit: core-server-kit
    original.package.name: dev-db/redis
    original.package.slot: "0"
    original.package.version: 7.0.10
  treedir: ""
  repository: ""
